#include <stdio.h>
#include <stdlib.h>
#include <winb.h>
#include <te.h>
#include <fntb.h>
#include <gui.h>

extern int	iconBaseHyperID ;
extern int	MJ_BASEOBJ ;
extern int	iconBaseWindowID ;
extern int	windowFunc() ;
extern int	iconMenuID[3] ;
extern int	iconMenuItemID[11] ;
extern int	menuCallFunc() ;
extern int	aboutFunc() ;
extern int	switchSetFunc() ;
extern int	timerSetFunc() ;
extern int	quitFunc() ;
extern int	dialogBaseHyperID ;

#define ALIGN	4
#define OFFSET(type) (sizeof(MMIPACKET) + (sizeof(type)+ALIGN-1)/ALIGN*ALIGN)

/*	MMI_init pf[^	*/

/*	wb_	*/

MMIINIT	initDataICONGUI = { "MmiInit",  17, 0 } ;

/* iconBaseHyperID */

static MMIPACKET d001 = {	&iconBaseHyperID,
							&MJ_BASEOBJ,
							&MJ_HYPER,
							OFFSET(HYPER),
							MS_NONE
						} ;
static HYPER	d001d = {	MS_NONEL40,
							   0,   0,   5,   5, 0, 0, 0,
							MS_NONEL40,
						} ;

/* iconBaseWindowID */

static MMIPACKET d002 = {	&iconBaseWindowID,
							&iconBaseHyperID,
							&MJ_WINDOWL40,
							OFFSET(WINDOWL40),
							MS_NONE
						} ;
static WINDOWL40	d002d = {	MS_BTLEFTL40 | MS_EVMOSONL40 | MS_HIDEL40,
							 288, 220, 357, 266, 8, 1, 9,
							MS_PANELL40 | MS_FRAMEL40,
							NULL,   0,   0,
							   4,   4,  58,  16,
							 128,  96, 640, 480,
							windowFunc,
							NULL,
						} ;

/* iconMenuID[0] */

static MMIPACKET d003 = {	&iconMenuID[0],
							&iconBaseWindowID,
							&MJ_MENUL40,
							OFFSET(MENUL40),
							MS_NONE
						} ;
static MENUL40	d003d = 	{	MS_BTLEFTL40 | MS_EVMOSONL40 | MS_SKEYL40 | MS_HORIL40,
							 292, 241, 353, 262, 8, 1, 8,
							MS_NONEL40,
							NULL,   0
						} ;

/* iconMenuItemID[0] */

static MMIPACKET d004 = {	&iconMenuItemID[0],
							&iconMenuID[0],
							&MJ_MITEML40,
							OFFSET(MITEML40),
							MS_NONE
						} ;
static MITEML40	d004d = {	MS_BTLEFTL40 | MS_EVMOSONL40 | MS_LEFTL40,
							 292, 241, 353, 262, 8, 9, 8,
							MS_PANELL40,
							menuCallFunc,
							0x0000,  -1,
							"v",
							   1,  12,  12,
							MS_OUTLINEL40,
							  -2,   0,
							   0
						} ;

/* iconMenuID[1] */

static MMIPACKET d005 = {	&iconMenuID[1],
							&iconMenuItemID[0],
							&MJ_MENUL40,
							OFFSET(MENUL40),
							MS_NONE
						} ;
static MENUL40	d005d = 	{	MS_BTLEFTL40 | MS_EVMOSONL40 | MS_SKEYL40 | MS_CHECKL40,
							 268, 273, 406, 378, 8,15, 8,
							MS_SRECTL40 | MS_FRAMEL40,
							NULL,   0
						} ;

/* iconMenuItemID[1] */

static MMIPACKET d006 = {	&iconMenuItemID[1],
							&iconMenuID[1],
							&MJ_MITEML40,
							OFFSET(MITEML40),
							MS_NONE
						} ;
static MITEML40	d006d = {	MS_BTLEFTL40 | MS_EVMOSONL40 | MS_LEFTL40,
							 270, 275, 398, 292, 8,15, 8,
							MS_NONEL40,
							aboutFunc,
							0x0041,  -1,
							"v밂ɂ...",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0,
							   0
						} ;

/* iconMenuItemID[2] */

static MMIPACKET d007 = {	&iconMenuItemID[2],
							&iconMenuID[1],
							&MJ_MITEML40,
							OFFSET(MITEML40),
							MS_NONE
						} ;
static MITEML40	d007d = {	MS_BTLEFTL40 | MS_EVMOSONL40 | MS_LEFTL40,
							 270, 292, 398, 309, 8,15, 8,
							MS_NONEL40,
							0,
							0x0000,  -1,
							"XCb`ݒ",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0,
							   0
						} ;

/* iconMenuID[2] */

static MMIPACKET d008 = {	&iconMenuID[2],
							&iconMenuItemID[2],
							&MJ_MENUL40,
							OFFSET(MENUL40),
							MS_NONE
						} ;
static MENUL40	d008d = 	{	MS_BTLEFTL40 | MS_EVMOSONL40 | MS_SKEYL40 | MS_CHECKL40,
							 409, 294, 519, 400, 8,15, 8,
							MS_SRECTL40 | MS_FRAMEL40,
							NULL,   0
						} ;

/* iconMenuItemID[6] */

static MMIPACKET d009 = {	&iconMenuItemID[6],
							&iconMenuID[2],
							&MJ_MITEML40,
							OFFSET(MITEML40),
							MS_NONE
						} ;
static MITEML40	d009d = {	MS_BTLEFTL40 | MS_EVMOSONL40 | MS_LEFTL40,
							 411, 296, 507, 313, 8,15, 8,
							MS_NONEL40,
							switchSetFunc,
							0x005a,  -1,
							"1",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0,
							   0
						} ;

/* iconMenuItemID[7] */

static MMIPACKET d010 = {	&iconMenuItemID[7],
							&iconMenuID[2],
							&MJ_MITEML40,
							OFFSET(MITEML40),
							MS_NONE
						} ;
static MITEML40	d010d = {	MS_BTLEFTL40 | MS_EVMOSONL40 | MS_LEFTL40,
							 411, 313, 513, 330, 8,15, 8,
							MS_NONEL40,
							switchSetFunc,
							0x0058,  -1,
							"2",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0,
							   0
						} ;

/* iconMenuItemID[8] */

static MMIPACKET d011 = {	&iconMenuItemID[8],
							&iconMenuID[2],
							&MJ_MITEML40,
							OFFSET(MITEML40),
							MS_NONE
						} ;
static MITEML40	d011d = {	MS_BTLEFTL40 | MS_EVMOSONL40 | MS_LEFTL40,
							 410, 334, 512, 351, 8,15, 8,
							MS_NONEL40,
							switchSetFunc,
							0x0043,  -1,
							"3",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0,
							   0
						} ;

/* iconMenuItemID[9] */

static MMIPACKET d012 = {	&iconMenuItemID[9],
							&iconMenuID[2],
							&MJ_MITEML40,
							OFFSET(MITEML40),
							MS_NONE
						} ;
static MITEML40	d012d = {	MS_BTLEFTL40 | MS_EVMOSONL40 | MS_LEFTL40,
							 410, 353, 512, 368, 8,15, 8,
							MS_NONEL40,
							switchSetFunc,
							0x004f,  -1,
							"",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0,
							   0
						} ;

/* iconMenuItemID[10] */

static MMIPACKET d013 = {	&iconMenuItemID[10],
							&iconMenuID[2],
							&MJ_MITEML40,
							OFFSET(MITEML40),
							MS_NONE
						} ;
static MITEML40	d013d = {	MS_BTLEFTL40 | MS_EVMOSONL40 | MS_LEFTL40,
							 411, 373, 513, 390, 8,15, 8,
							MS_NONEL40,
							switchSetFunc,
							0x0048,  -1,
							"30",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0,
							   0
						} ;

/* iconMenuItemID[3] */

static MMIPACKET d014 = {	&iconMenuItemID[3],
							&iconMenuID[1],
							&MJ_MITEML40,
							OFFSET(MITEML40),
							MS_NONE
						} ;
static MITEML40	d014d = {	MS_BTLEFTL40 | MS_EVMOSONL40 | MS_LEFTL40,
							 270, 315, 398, 332, 8,15, 8,
							MS_NONEL40,
							timerSetFunc,
							0x0054,  -1,
							"^C}[o^...",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0,
							   0
						} ;

/* iconMenuItemID[4] */

static MMIPACKET d015 = {	&iconMenuItemID[4],
							&iconMenuID[1],
							&MJ_MITEML40,
							OFFSET(MITEML40),
							MS_NONE
						} ;
static MITEML40	d015d = {	MS_BTLEFTL40 | MS_EVMOSONL40 | MS_LEFTL40,
							 269, 332, 398, 349, 8,15, 8,
							MS_NONEL40,
							0,
							0x0000,  -1,
							NULL,
							   1,  12,  12,
							MS_NONEL40,
							   0,   0,
							   0
						} ;

/* iconMenuItemID[5] */

static MMIPACKET d016 = {	&iconMenuItemID[5],
							&iconMenuID[1],
							&MJ_MITEML40,
							OFFSET(MITEML40),
							MS_NONE
						} ;
static MITEML40	d016d = {	MS_BTLEFTL40 | MS_EVMOSONL40 | MS_LEFTL40,
							 269, 352, 395, 369, 8,15, 8,
							MS_NONEL40,
							quitFunc,
							0x0051,  -1,
							"I",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0,
							   0
						} ;

/* dialogBaseHyperID */

static MMIPACKET d017 = {	&dialogBaseHyperID,
							&MJ_BASEOBJ,
							&MJ_HYPER,
							0,
							MS_NONE
						} ;
static HYPER	d017d = {	MS_NONEL40,
							   0,   0,   5,   5, 0, 0, 0,
							MS_NONEL40,
						} ;

